<?
    /*
     * File: creation_functions.php
     *
     * Description:
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 11/01/2000
     *
     * Change log:
     *     Chris Ryan <chris@greatbridge.com> 11/01/2000
     *         - Initial file creation
     */


# here we have a very odd situation. I use a function called readline
# which some installations of php have compiled in and other well don't
# so i'll check to see if such a function is defined. If it isn't then
# I will define one that works for my purposes the same way
if(!function_exists("readline")) {
    # ug i don't like doing this at all
    $stdin = fopen("php://stdin","r");
    /*
     * Function: readline($label)
     * 
     * Description: Reads in a line of text
     */
    function readline($label = "") {
        global $stdin;
        echo $label . " ";
        $line =  chop(fgets($stdin,4096));
        return $line;
    }
}

    /*
     * Function: checkDefaultSiteGroup()
     *
     * Description: Check to see if the default site_group is available.
     *              If not then we will prompt the user for one and create it.
     */
    function checkDefaultSiteGroup() {
        global $conn;

        echo "Searching for the default site_group record\n";

        $query = "select count(*) from site_group where group_id = 0";
        $res   = pg_exec($conn,$query);
        $num   = pg_result($res,0,0);
        pg_freeresult($res);

        # we should only ever have 1 of 2 values: 0 for "not found"
        # or 1 for "found"
        if($num < 1) {
            # we don't have one so lets create it.
            echo "No default site_group we found!\n";
            echo "Please enter a description for the default site_group or\n";
            echo "press enter for the default description.\n";
    
            $line = readline("Description [\"$DEFAULT_SITE_GROUP_DESC\"]: ");
    
            if(empty($line)) {
                $line = $DEFAULT_SITE_GROUP_DESC;
            }
    
            $line  = sqlText($line);
            $query = "insert into site_group ".
                     "       (group_id, description) ".
                     "values(0, $line) ";
            $res   = pg_exec($conn,$query);
            pg_freeresult($res);
        } else {
            echo "Found default site_group.\n\n";
        }
    }

    /*
     * Function: createSiteGroup($name)
     *
     * Description: Creates a site_group record and returns the id of that
     *              new group.
     */
    function createSiteGroup($name) {
        global $conn;

        if(empty($name)) {
            echo "Error: createSiteGroup(function): Name can not be empty";
            return 0;
        }

        $name = sqlText($name);

        $query = "insert into site_group ".
                 "       (description) ".
                 "values ($name) ";
        $res   = pg_exec($conn,$query);
        pg_freeresult($res);
        $query = "select currval('site_group_group_id_seq')";
        $res   = pg_exec($conn,$query);
        $sgid  = pg_result($res,0,0);
        pg_freeresult($res);

        return $sgid;
    }

 ?>
