<?

/**************************************************
Program name:	meminfo.php  
Author:		Allen McGrath (allen@greatbridge.com)

Description:	initial input screen for the member to
		change his MEMBER record.
			
Create Date:	9/27/00 

Modified Date(s):	
    Chris Ryan <chris@Greatbridge.com> 10/24/2000
        - Added code to update email address
**************************************************/
 
/******************************************
 CHECK TO SEE IF THE PERSON IS ALREADY A
 MEMBER.  IF SO, SEND THEM TO CONTEXT AND LEAVE. OTHER
 WISE PROCEED AS PLANNED. 
*******************************************/
$web_page = "meminfopage";
include("site_info.php");
$group_group_id = "meminfo";

/************************************************
KICK THE USER OUT IF THEY ARE NOT LOGGED IN
*************************************************/

if (empty($member_id)) {
	$context = "This area is for members only. Please log in if you are currently a member of " . $official_name . " or sign up today.";
	$context_error[] = "<a href=/member/memlogin.php>Click here to login</a>";
	$context_error[] = "<a href=/member/memjoin.php>Click here to join " . $official_name . "</a>";
	$web_page = "contextpage";
	include($page_template);
	return;
}
	
/******************************************
  SET DO_DEBUG TO YES IF YOU WANT TO SEE DEBUGGING
	AND ANY OTHER NEEDED VARIABLES
******************************************/
$do_debug = "no";


/******************************************
	RETRIEVE THE MEMBER'S DATA
*******************************************/
$sel_query = "SELECT FIRST_NAME, LAST_NAME, ADDR_1, ADDR_2, " .
	 "CITY, STATE_CODE, ZIP_CODE, COUNTRY_CODE, AREA_CODE, PHONE, EMAIL " .
	 "FROM MEMBER WHERE MEMBER_ID = $member_id";
	
$sel_result = @pg_exec($conn,$sel_query);

if (pg_numrows($sel_result) == 0) {
	$context = "There was an error retrieving your information.  Your data is no longer in our database.";
	$web_page = "contextpage";
	include($page_template);
	return;
}


/******************************************
	RETRIEVE THE REFERENCE DATA
*******************************************/	

	$st_query  = "SELECT STATE_CODE, STATE_NAME FROM STATE ORDER BY STATE_CODE";
	$st_result = pg_exec($conn,$st_query);
	$st_count  = pg_numrows($st_result);
	
	$cn_query  = "SELECT COUNTRY_CODE, COUNTRY_NAME FROM COUNTRY ORDER BY COUNTRY_CODE";
	$cn_result = pg_exec($conn,$cn_query);	

if ($do_debug == "yes") {
	echo "<li>state query = " . $st_query . "<br>";
	echo "<li>cntry query = " . $cn_query . "<br>";
}

	$r = 0;
	while ($row = @pg_fetch_array($st_result,$r++)) {
		$states[$row["state_code"]] = $row["state_name"];	
	}

	$r = 0;
	while ($row = @pg_fetch_array($cn_result,$r++)) {
		$countries[$row["country_code"]] = $row["country_name"];	

	}
	


/******************************************
ERROR CHECK VARIABLES IF THE REQUEST_METHOD
IS POST.
*******************************************/
if ($REQUEST_METHOD == "POST") {
	
// SINCE THESE ARE NOT REQUIRED, THEY NEED DEFAULTS SO WE DONT GET A DB ERROR	
	if (empty($state_code)) {
		$state_code = 'VA';
	}
	if (empty($country_code)) {
		$country_code = 'USA';
	}

        # check to see if we will be updating the password
        if(!empty($old_password)) {
            $enc_pass = crypt($old_password,$old_password);
            $query = "select password from member where member_id = $member_id";
            $res   = pg_exec($conn,$query);
            $cur_pass = pg_result($res,0,0);
            if($enc_pass != $cur_pass) {
                $context_error[] = "The old password specified does not match our records.";
            } else {
                if(empty($new_password)) {
                    $context_error[] = "You didn't specify a new password.";
                } else {
                    if($new_password != $new_password_check) {
                        $context_error[] = "The new password you entered isn't the same on both new password fields.";
                    } else {
                        $enc_pass = crypt($new_password,$new_password);
                        $update_password = true;
                    }
                }
            }
        }
		
	if (count($context_error)) {
		$context = "There was a problem with the information you submitted.  Specifically:";
		include($page_template);
		return;
	}

/******************************************
 NO BLATANT ERRORS.  REFORMAT THE DATA AND
 INSERT/UPDATE THE INFORMATION
*******************************************/
	$first_name    = ucfirst(strtolower($first_name));
	$last_name     = ucfirst(strtolower($last_name));
	$city	       = ucfirst(strtolower($city));

	$mem_query = "UPDATE MEMBER SET " .
		 "FIRST_NAME = '$first_name'," .
		 "LAST_NAME = '$last_name',ADDR_1 = '$addr_1'," .
		 "ADDR_2 = '$addr_2',CITY = '$city',ZIP_CODE = '$zip_code'," .
		 "STATE_CODE = '$state_code',COUNTRY_CODE = '$country_code'," .
		 "AREA_CODE = '$area_code',PHONE = '$phone'," .
                 "EMAIL = '$email'," .
                 ($update_password?" password = '$enc_pass', ":"").
		 "LAST_UPDATED = now()" .
		 "WHERE MEMBER_ID = $member_id";
	
	if ($do_debug == "yes") {
		echo "<li>chk_query = " . $sel_query;
		echo "<li>num rows = " . pg_numrows($sel_result);
		echo "<li>query statement = " . $mem_query;
		echo "<li>scenario = " . $db_scenario;
	}

	$ins_result = @pg_exec($conn,$mem_query);
	$db_error = pg_errormessage($conn);

	if ($db_error) {
		$context = "There was an error handling your request.  ".
                           " Please <a href=/about/contact.php>Contact Us</a> ".
                           " regarding this and we will fix the problem.";
		$context_error[] = $db_error;
		include($page_template);	
		return;
	}

    RedirectTo("/member/memmain.php?success=yes");
    exit;
}

if ($REQUEST_METHOD == "GET") {
	$member_info = pg_fetch_object($sel_result,0);
	
	$first_name   = $member_info->first_name;
	$last_name 	  = $member_info->last_name;
	$area_code 	  = $member_info->area_code;
	$zip_code 	  = $member_info->zip_code;
	$phone			  = $member_info->phone;
	$addr_1			  = $member_info->addr_1;
	$addr_2			  = $member_info->addr_2;
	$city			 	  = $member_info->city;
	$state_code	  = $member_info->state_code;
	$country_code = $member_info->country_code;
        $email        = $member_info->email;
}		


/******************************************
EVERYTHING IS FINISHED SO INCLUDE THE TEMPLATE	
******************************************/
  include($page_template);
 ?>







