<?

/**************************************************
Program name:		memmain.php  
Author:			Allen McGrath (allen@greatbridge.com)

Description:		initial front end screen to all of
			the member stuff we have to offer.

Create Date:		9/20/00 

Modified Date(s):	
			9/26/00 allen@greatbridge.com
			Added the project queries.
**************************************************/

/******************************************
SET THE PAGE AND CALL SITE_INFO
*******************************************/
$web_page = "memmainpage";
include("site_info.php");


/******************************************
  SET DO_DEBUG TO YES IF YOU WANT TO SEE DEBUGGING
	AND ANY OTHER NEEDED VARIABLES
******************************************/
	$do_debug = "no";

# the id number for the role developer
        $memberrole_id = 2;
	$devrole_id  = 3;	
        $admrole_id  = 4;
	
/************************************************
KICK THE USER OUT IF THEY ARE NOT LOGGED IN
*************************************************/

if (empty($member_id)) {
	$context = "This area is for registered users only. Please log in if you are currently a registered user of " . $official_name . " or sign up today.";
	$context_error[] = "<a href=/member/memlogin.php>Click here to login</a>";
	$context_error[] = "<a href=/member/memjoin.php>Click here to join " . $official_name . "</a>";
	$web_page = "contextpage";
	include($page_template);
	return;
}




/************************************************
RETRIEVE ALL THE STUFF THIS MEMBER HAS, LIKE PROJECTS,
ETC... HERE
*************************************************/

	$admin_query = "SELECT A.PROJECT_ID, A.PROJECT_NAME, A.PROJECT_TITLE, A.APPROVED " .
		       "FROM PROJECT A, MEMBER_ROLE B WHERE B.MEMBER_ID = $member_id  " .
                       "AND B.ROLE_ID = $admrole_id ".
                       "AND A.PROJECT_ID = B.PROJECT_ID " .
		       "ORDER BY A.APPROVED";

	$dev_query   = "SELECT A.PROJECT_ID, B.PROJECT_NAME, B.PROJECT_TITLE, B.APPROVED " .
		       "FROM MEMBER_ROLE A, PROJECT B " .
		       "WHERE A.ROLE_ID = $devrole_id " .
		       "AND	A.MEMBER_ID = $member_id " .
		       "AND A.PROJECT_ID = B.PROJECT_ID " .
		       "AND B.APPROVED = 't'";
	
	$mem_query   = "SELECT A.PROJECT_ID, B.PROJECT_NAME, B.PROJECT_TITLE, B.APPROVED " .
		       "FROM MEMBER_ROLE A, PROJECT B " .
		       "WHERE A.ROLE_ID = $memberrole_id " .
		       "AND	A.MEMBER_ID = $member_id " .
		       "AND A.PROJECT_ID = B.PROJECT_ID " .
		       "AND B.APPROVED = 't'";
	
								 
	$admin_result = pg_exec($conn,$admin_query);
	$dev_result = pg_exec($conn,$dev_query);
	$mem_result = pg_exec($conn,$mem_query);

	if ($do_debug == "yes") {
		echo"<li>admin_query = " . $admin_query;
		echo"<li>dev_query = " . $dev_query;
		echo "<li>admin_result rows = " . pg_numrows($admin_result);
		echo "<li>dev_result rows = " . pg_numrows($dev_result);
	}
		
# when the member has projects, set them up for display
	
	if (pg_numrows($admin_result) == 0) {
		$admin_message = $member_name . " is not the admin of any available projects.";
	}
	else {
		$r = 0;
		while ($row = @pg_fetch_array($admin_result,$r++)) {
			$admin_list[] = array( "project_id" => $row["project_id"],
			                       "project_title" => $row["project_title"],
					       "project_name" => $row["project_name"],
					       "approved" => $row["approved"]);
		}
	}
	
	if (pg_numrows($dev_result) == 0) {
		$dev_message = $member_name . " is not a developer of any available projects.";
	}
	else {
		$r = 0;
		while ($row = @pg_fetch_array($dev_result,$r++)) {
			$dev_list[] = array( "project_id" => $row["project_id"],
			                     "project_title" => $row["project_title"],
					     "project_name" => $row["project_name"],
					     "approved" => $row["approved"]);
		}
	}	

	if (pg_numrows($mem_result) == 0) {
		$mem_message = $member_name . " is not a member of any available projects.";
	}
	else {
		$r = 0;
		while ($row = @pg_fetch_array($mem_result,$r++)) {
			$mem_list[] = array( "project_id" => $row["project_id"],
			                     "project_title" => $row["project_title"],
					     "project_name" => $row["project_name"],
					     "approved" => $row["approved"]);
		}
	}	



/******************************************
EVERYTHING IS FINISHED SO INCLUDE THE TEMPLATE	
******************************************/
  include($page_template);
?>	

