<?
    /*
     * File: cvs.php
     *
     * Description:
     *     Contains some functions to work with cvs.
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 10/17/2000
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> 10/17/2000
     *         - Initial file creation
     *     Chris ryan <chris@greatbridge.com> 10/23/2000
     *         - Add additional comments
     *         - added call to pg_freeresult() after finishing the querys
     */

    /*
     * Function: generateCVSWritersFile($project_id)
     *
     * Description: Generate the cvs Writers file for the specified
     * project. This function will place in the writers file all those
     * members of a project that are level 3 or greater.
     */
    function generateCVSWritersFile($project_id) {
        global $conn;
        global $CVS_BASE_DIR;
        if(!empty($project_id)) {
            $project_name = getProjectName($project_id);
            if(!empty($project_name)) {
                # find all members of project with an access_level of
                # 3 or higher (3 = developer, 4 = admin)
                $query = "select member_name ".
                         "  from member_role, member ".
                         " where member_role.role_id >= 3 ".
                         "   and member_role.project_id = $project_id ".
                         "   and member_role.member_id = member.member_id ";
                $res   = pg_exec($conn,$query);
                $r = 0;
                while($row = @pg_fetch_array($res,$r++)) {
                    $member_data .= $row["member_name"] . "\n";
                }
                pg_freeresult($res);

                # tack on an extra newline as the cvs writers file won't
                # recognize the last user without it.
                $member_data .= "\n";

                # write the new file
                $file = fopen("$CVS_BASE_DIR/$project_name/CVSROOT/writers","w");
                fwrite($file,$member_data);
                fclose($file);
            }
        }
    }
 ?>
