<?
    /*
     * File: database.php
     *
     * Description:
     * Including this file will create a database connection to the default
     * Database using the options in the config.php file.
     *
     * Creator: Chris Ryan <chris@greatbridge.com>
     * Created: 09/18/2000
     *
     * Change Log:
     *     Chris Ryan <chris@greatbridge.com> 09/18/2000
     *         - Initial Creation
     *     Chris Ryan <chris@greatbridge.com> 10/23/2000
     *         - Added additional comments
     */
    require_once("config.php");

    # check to make sure that there is no connection or if the connection
    # as $conn is connected to a different database then open a new connection
    if($conn == 0 || pg_dbname($conn) != $DBNAME) {
        $conn = pg_pconnect("host=$DBHOST ".
                            "port=$DBPORT ".
                            "dbname=$DBNAME ".
                            "user=$DBUSER ".
                            "password=$DBPASS");
    }
 ?>
