<?

/**************************************************
Program name:		buglist.php  
Author:			Allen McGrath (allen@greatbridge.com)

Description:		Displays all bugs of a particular
			project so the admin can update them.
			
Create Date:		10/9/00 

Modified Date(s):
    Chris Ryan <chris@greatbridge.com> 11/20/2000
        - Modified query to do search sort options
							 
**************************************************/
 
$web_page = "buglistpage";
include("site_info.php");
$group_group_id = "buglist";

$do_debug = "no";

$sort_option = "DATE_CREATED DESC";
$select_options = "";

if($sel_options != "yes") {
    if(!empty($bugsearch_last)) {
        $sel_data = unserialize(stripslashes($bugsearch_last));
        extract($sel_data);
        $using_stored_search = "yes";
        $sel_options = "yes";
    } else if(!empty($bugsearch_default)) {
        $sel_data = unserialize(stripslashes($bugsearch_default));
        extract($sel_data);
        $using_stored_search = "yes";
        $sel_options = "yes";
    }
}

if($sel_options == "yes") {
    $sel_data["sel_status"] = $sel_status;
    $sel_data["sel_severity"] = $sel_severity;
    $sel_data["sel_version"] = $sel_version;
    $sel_data["sel_text"] = $sel_text;
    $sel_data["sel_text_inenv"] = $sel_text_inenv;
    $sel_data["sel_text_indesc"] = $sel_text_indesc;
    $sel_data["sel_text_incomments"] = $sel_text_incomments;
    $sel_data["sel_sort_primary"] = $sel_sort_primary;
    $sel_data["sel_sort_secondary"] = $sel_sort_secondary;
    if($sel_make_default == "yes")
        setcookie("bugsearch_default",serialize($sel_data),time()+31536000,"/");
    if($using_stored_search != "yes")
        setcookie("bugsearch_last",serialize($sel_data),0,"/");

    if(!empty($sel_status)) {
        if($sel_status == "!Closed")
             $select_options .= " AND status_id != 50 ";
        else $select_options .= " AND status_id = $sel_status ";
    }
    if(!empty($sel_severity)) {
        $select_options .= " AND severity_id = $sel_severity ";
    }
    if(!empty($sel_version)) {
        $select_options .= " AND version = '$sel_version' ";
    }
    if(!empty($sel_text) && ($sel_text_inenv == "yes" || $sel_text_indesc == "yes" || $sel_text_incomments == "yes")) {
        $sel_text = sqlText("%".str_replace(" ","%",strtolower(trim($sel_text)))."%");
        $select_options .= " AND ( ";
        if($sel_text_inenv == "yes") {
            $select_options .= " lower(environment) like $sel_text ";
        }
        if($sel_text_indesc == "yes") {
            if($sel_text_inenv == "yes") $select_options .= " OR ";
            $select_options .= " lower(description) like $sel_text ";
        }
        if($sel_text_incomments == "yes") {
            if($sel_text_inenv == "yes" || $sel_text_indesc == "yes")
                $select_options .= " OR ";
            $select_options .= " bug_id in (select distinct bug_id from ".
                               " bug_comment where comment like $sel_text) ";
        }
        $select_options .= " ) ";
    }
    if(!empty($sel_sort_primary)) {
        $sort_option = $sel_sort_primary;
        if(!empty($sel_sort_secondary)) {
            $sort_option .= ", " .$sel_sort_secondary;
        }
    }
}

# if this is a feature request don't bother with the search stuff as we
# need something else more specific that the search doesn't provide
if($fr == "yes") {
    $group_group_id = "feature";
    $select_options = " AND class_id = 61 ";
    $sort_option = "DATE_CREATED DESC, STATUS_ID ";
}

$bg_query = "  SELECT A.BUG_ID, A.TASK_ID, A.TITLE, A.DESCRIPTION, ".
            "         A.DATE_CREATED,B.CAT_NAME,C.CAT_NAME as SEVERITY, " .
            "         (select count(*) from bug_comment bc where ".
            "          bc.bug_id = A.BUG_ID) AS COMMENT_COUNT ".
            "    FROM BUG A, CATEGORY B, CATEGORY C " .
            "   WHERE A.PROJECT_ID = $project_id " .
            "     AND B.CAT_ID = A.STATUS_ID " . 
            "     AND C.CAT_ID  = A.SEVERITY_ID ".
            $select_options .
            " ORDER BY $sort_option ";

$bg_result = pg_exec($conn,$bg_query);


if ($do_debug == "yes") {
echo "<li>" . $bg_query;
echo "<li>" . pg_numrows($bg_result);
}

$statusList = getBugStatusList();

$r = 0;
while ($row = @pg_fetch_array($bg_result,$r++)) {
	$bug_list[] = array( "bug_id"        => $row["bug_id"],
                             "title"         => $row["title"],
                             "description"   => $row["description"],
                             "cat_name"      => $row["cat_name"],
                             "severity"      => $row["severity"],
                             "task_id"       => $row["task_id"],
                             "date_created"  => $row["date_created"],
                             "comment_count" => $row["comment_count"]);
}

$num_bugs = count($bug_list);

include($page_template);

?>




 

