--
-- File: mail_config.sql
--
-- Description:
--     This file contains the table(s) for a generic mail to configurations
--     such as bug/task mail notification.
--
-- Creator: Chris Ryan <chris@greatbridge.com>
-- Created: 01/24/2001
--
-- Change Log:
--     Chris Ryan <chris@greatbridge.com> 01/24/2001
--         - Initial File creation
--

--
-- Table: mail_config
--
-- Description: contains the information for mailing persons on certain
--              conditions
--
-- Field Description:
-- area       a tag to describe segment the different area (i.e. "bugs")
-- condition  a condition specified by the programmer for when to use this row
-- member_id  the id of the member who this row belongs (null for a generic
--            address i.e. a maillist. use send_to field)
-- send_to    the email address to send the email to if member_id is null
--
create table mail_config (
    area      varchar(10)  NOT NULL,
    condition varchar(128) NOT NULL,
    member_id int4         NULL,
    send_to   varchar(512) NULL
);

