/*
 * File: snippet.sql
 *
 * Description:
 *     Contains the tables used for snippets
 *
 * Creator: Allen McGrath
 * Created: 10/02/2000
 *
 * Change log:
 *     Allen McGrath <amcgrath@greatbridge.com> 10/02/2000
 *         - Initial Creation
 */

/*
 * Table: snippet
 *
 * Description:
 * This table holds the snippet information.
 *
 * Field Description:
 */
CREATE TABLE snippet 
(
  snippet_id		serial,
  member_id		int4 not null references member(member_id),
  title			varchar(25),
  description		text,
  version		varchar(10),
  code			text,
  language_id		int4 references category(cat_id),
  category_id		int4 references category(cat_id),
  create_date		date default now(),
  temp_id		varchar(32),
  primary key (snippet_id)
);
